Subject: RE: Mn.Food Assoc.-Dioxin Forum

From: [email-masked]
Date: Thu, 3 Aug 1995 11:29:03 -0500 (CDT)

Greetings! FYI -The MInnesota Food Assoc. will hold a Member Forum on 'Dioxin 
in the Food Supply'. There will be a discussion with panelists from the MN 
Pollution Control Agcy and the Inst.for Agric.& Trade Policy. MFA hopes to 
help citizens learn about this urgent matter and how to follow up on their 
concerns. Please come if you can. Add to our information if you're able.  

What:  Dioxin in the Food Supply      When: Tues. 8 Aug 95, 7-9 pm 
Where:  North Como Presbyterian Church, 965 Larpenteur Ave.West, Roseville MN
Contact for info:  Minn.Food Assoc., Minneapolis MN ph.612-644-2038 fax 
612-646-0142.
THE PUBLIC IS WELCOME AND ENCOURAGED TO ATTEND.
Carol Walker, Member MFA, [email-masked]